#include <allegro.h>

inline void init()
{
	allegro_init();
	set_color_depth(16);
	set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0);

	install_timer();
	install_keyboard();
	install_mouse();
}

inline void deinit()
{
	clear_keybuf();
	allegro_exit();
}

int main()
{
	init();

	textout_ex(screen, font, "Hello World!", 0, 0, makecol(255, 255, 255), 0);
	while (!key[KEY_ESC])
	{
		/* put your code here */
	}

	deinit();
	return 0;
}
END_OF_MAIN()
